
Figure - Bug #118017
【IOVDEV-28174】【VC1】【0095】【台架】【EE环境】【副屏】【通知中心】 副屏在录制完日志后关闭日
志录制，通知中心偶现正在录制日志的通知
2023-05-17 20:38 - CDTS_TEST 王成

Status: CLOSED Start date: 2023-05-17

Priority: Normal Due date:

Assignee: CDTS_TEST 王成 % Done: 0%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 01.00.0095.c103

Resolution: -- Degrated: --

Severity: Normal Verified Version:

Reproducibility: Occasionally Fixed Version:

Test Type: ST Root cause: tlog应用退到后台后被销毁了，导致拿不到service的对象，无法从service中清除通知

Description

问题出现时间】：20230515 19：18

【前提条件】：副屏上电

【操作步骤】

【预置条件】：副屏完成日志录制操作

1.下拉控制中心

【实际结果】

1.显示日志录制中

【期望结果】

1.无显示

【备注】：

第121次开机

【应用版本】：

【硬件版本号】：

【中控版本号】：03.02.0080.c101

【副屏版本号】：01.00.0095.c103

History

#1 - 2023-05-17 20:39 - CDTS_TEST 王成

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_118017/tlog_iov0201017500006162025411a2212290000000601_000121_0515192006%E5%BD%95%E5%88%B6%E6

%97%A5%E5%BF%97%E9%80%9A%E7%9F%A5%E4%B8%AD%E5%BF%83.tar.gz

#2 - 2023-05-17 21:47 - CD FW 曹覃刚

- Category changed from CD-FW to 依赖客户及其供应商解决

- Status changed from New to NEED_INFO

- Assignee changed from CD FW 曹覃刚 to CDTS_TEST 王成
Hi 

从代码中看，日志应用确实有发送通知的逻辑

1.这个日志应用是方便测试及研发抓取日志用，正常用户是用不到的

2.从表现看，收集日志时，发个收集日志的通知是个很正常的行为

综上，我理解这不算是个问题,也没有任何修改的必要，请同步此信息给客户，谢谢

    /**

     * Pop up a notification when start logging.

     */

    public void createNewNotification() {

        Logger.logD(TAG, "createNewNotification");

        NotificationChannel channel = new NotificationChannel(getString(R.string.channel_id),

                getString(R.string.channel_title),

                NotificationManager.IMPORTANCE_DEFAULT);

        mNotifyManager.createNotificationChannel(channel);

        PendingIntent mainAction = null;

        Intent startIntent = new Intent(Intent.ACTION_MAIN);

        startIntent.setClass(mContext, LogClientActivity.class);

        startIntent.setFlags(Intent.FLAG_ACTIVITY_NEW_TASK);

        int pendingIntentFlags;

        if (Build.VERSION.SDK_INT >= Build.VERSION_CODES.S) {

            pendingIntentFlags = PendingIntent.FLAG_UPDATE_CURRENT | PendingIntent.FLAG_MUTABLE;

        } else {

            pendingIntentFlags = PendingIntent.FLAG_UPDATE_CURRENT;

        }

        mainAction = PendingIntent.getActivity(mContext, 0, startIntent, pendingIntentFlags);

        Builder builder = new Builder(mContext, getString(R.string.channel_id));

        builder.setProgress(0, 0, false);

        builder.setContentTitle(getString(R.string.builder_id))

                .setContentText(getString(R.string.builder_content))

                .setOngoing(true)

                .setContentIntent(mainAction)

                .setSmallIcon(android.R.drawable.ic_media_play);

        mNotifyManager.notify(NOTIFY_ID, builder.build());

    }

#3 - 2023-05-19 15:44 - CDTS_TEST 王成

- Status changed from NEED_INFO to ASSIGNED

- Assignee changed from CDTS_TEST 王成 to CD FW 曹覃刚

客户要求将日志通知隐藏，不再显示

#4 - 2023-05-19 16:11 - CD FW 曹覃刚

- Category changed from 依赖客户及其供应商解决 to CD-FW
- Assignee changed from CD FW 曹覃刚 to CD FW-廖涛

涛哥，需要删一下日志收集工具里面的通知

#5 - 2023-05-19 17:11 - CD TPM-王祥林

如果把通知隐藏了，正常抓日志的时候也会被隐藏了，这个反而影响到使用了。我建议不处理这个问题，我先和客户沟通一下。

#6 - 2023-05-19 17:12 - CD FW-廖涛

- Assignee changed from CD FW-廖涛 to CD TPM-王祥林

#7 - 2023-05-19 20:31 - CD TPM-王祥林

- Status changed from ASSIGNED to NEED_INFO

#8 - 2023-05-28 13:41 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

203087 general/platform/vendor/thundercom

m/apps/LogSystem

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

wangxl0510@thundersoft.com

SYSTEM:Tlog:Hide notification after stopping log collection.TC-RID: 1201-0201101IssueID: TS-R-BUG-118017Change-Id:

Id6a8ec739d19ce78c3ffff06577586e1757309a1

#9 - 2023-05-28 13:42 - CD TPM-王祥林

- Status changed from NEED_INFO to RESOLVED

- Root cause set to tlog应用退到后台后被销毁了，导致拿不到service的对象，无法从service中清除通知

#10 - 2023-05-28 13:45 - CD TPM-王祥林

- Assignee changed from CD TPM-王祥林 to CDTS_TEST 王成

请在106版本验证。

步骤：

1.打开日志收集工具，选实时日志，点开始，将应用退到后台，等两分钟。

2.从通知栏点logclient，重新进入应用。

3.点击停止。查看通知栏是否还有通知存在。

结果：

PASS。没有正在抓取log的通知。

#11 - 2023-06-02 19:23 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

6.2

验证通过
#12 - 2023-06-02 19:26 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED
